package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.chemical.domain.HxpUserecord;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 库存管理对象 hxp_stock
 *
 * @author liubo
 * @date 2022-06-17
 */
@ApiModel("库存管理")
public class HxpStockSearch extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 关键字搜索
     */
    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    @ApiModelProperty(value = "化学品分类")
    private Integer chemicalClassify;

    @ApiModelProperty(value = "属性")
    private Integer classifyAttribute;

    @ApiModelProperty(value = "标签类型")
    private Integer labelType;

    @ApiModelProperty(value = "学院")
    private Long deptId;

    /**
     * 机柜id
     */
    @ApiModelProperty(value = "机柜id")
    private Long cabinetId;

    /**
     * 库存状态（1 入库，2 用结出库，3 作废出库）
     */
    @ApiModelProperty(value = "库存状态（1 入库，2 用结出库，3 作废出库）")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "入库开始时间")
    private Date joinTimeBegin;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "入库结束时间")
    private Date joinTimeEnd;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "出库开始时间")
    private Date outTimeBegin;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "出库结束时间")
    private Date outTimeEnd;

    @ApiModelProperty(value = "登录用户id")
    private Long loginUserId;

    /**
     * 批量操作的id集合
     */
    private List <Long> ids;

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getChemicalClassify() {
        return chemicalClassify;
    }

    public void setChemicalClassify(Integer chemicalClassify) {
        this.chemicalClassify = chemicalClassify;
    }

    public Integer getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(Integer classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getJoinTimeBegin() {
        return joinTimeBegin;
    }

    public void setJoinTimeBegin(Date joinTimeBegin) {
        this.joinTimeBegin = joinTimeBegin;
    }

    public Date getJoinTimeEnd() {
        return joinTimeEnd;
    }

    public void setJoinTimeEnd(Date joinTimeEnd) {
        this.joinTimeEnd = joinTimeEnd;
    }

    public Date getOutTimeBegin() {
        return outTimeBegin;
    }

    public void setOutTimeBegin(Date outTimeBegin) {
        this.outTimeBegin = outTimeBegin;
    }

    public Date getOutTimeEnd() {
        return outTimeEnd;
    }

    public void setOutTimeEnd(Date outTimeEnd) {
        this.outTimeEnd = outTimeEnd;
    }

    public List <Long> getIds() {
        return ids;
    }

    public void setIds(List <Long> ids) {
        this.ids = ids;
    }

    public Long getLoginUserId() {
        return loginUserId;
    }

    public void setLoginUserId(Long loginUserId) {
        this.loginUserId = loginUserId;
    }
}
